%define		php_name	php%{?php_suffix}
%define		modname	pdflib
%define		smodname	pdf
%define		status		stable
Summary:	%{modname} - creating PDF on the fly with the PDFlib library
Summary(pl.UTF-8):	%{modname} - tworzenie PDF "w locie" za pomocą biblioteki PDFlib
Name:		%{php_name}-pecl-%{modname}
Version:	2.1.9
Release:	5
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	04b4e0a2a8731c5f087f40620aca4ddf
URL:		http://pecl.php.net/package/pdflib/
BuildRequires:	%{php_name}-devel >= 3:5.0.4
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	pdflib-devel
BuildRequires:	rpmbuild(macros) >= 1.650
BuildRequires:	zlib-devel
%{?requires_php_extension}
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pdf < 3:5.0.0
Obsoletes:	php-pecl-pdflib < 2.1.9-4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extension wraps the PDFlib programming library for processing PDF
on the fly.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
To rozszerzenie "owija" bibliotekę PDFlib przeznaczoną do tworzenia
dokumentów PDF "w locie".

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure \
	--with-png-dir=%{_prefix} \
	--with-jpeg-dir=%{_prefix} \
	--with-tiff-dir=%{_prefix} \
	--with-zlib-dir=%{_prefix}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install -p modules/%{smodname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{smodname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{smodname}.so
%changelog
* Sat May 17 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-pdflib.git;a=log;h=master

* Sat May 17 2014 Elan Ruusamäe <glen@delfi.ee> 591c461
- fix obsoletes version
- release 5 (by relup.sh)

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> 0627285
- obsolete old php name
- release 4 (by relup.sh)

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> d768364
- provide php(extname) to really be supporting multiple php versions

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 7e0240b
- support building for multiple php versions

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 7547fe2
- do not obsolete package this never wasc

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> af7bb5b
- use php(core) as dependency to require php version

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> ef4c30d
- release 2 (by relup.sh)

* Mon Jun 11 2012 Łukasz Kieś <kiesiu@pld-linux.org> 34647d9
- updated to 2.1.9

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> cbd0fd8
- release 2

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 5c7c656
- up to 2.1.8

* Sat Apr 11 2009 Adam Gołębiowski <adamg@pld-linux.org> 2be2200
- updated to 2.1.7

* Mon Mar 16 2009 duddits <duddits@pld-linux.org> 1531471
- up to 2.1.5
- pdflib-fix_includes.patch obsolete

* Mon Mar 16 2009 duddits <duddits@pld-linux.org> 51a1fa7
- obsolete

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6cd4fb4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4ac5219
- converted to UTF-8

* Sat Jan 06 2007 Elan Ruusamäe <glen@pld-linux.org> 3dd4c92
- fix install

* Tue Jan 02 2007 Elan Ruusamäe <glen@pld-linux.org> ac96e78
- use new php extension related macros

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> dbf92fa
- BR rpmmacros for fixed %requires_php_extension

* Sat Oct 29 2005 Elan Ruusamäe <glen@pld-linux.org> 486f59a
- rebuild with zts and debug requires

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> 8b8740f
- conf.d and php api macros

